Jobs
Get Jobs for a project
Retrieve all Jobs that belong to a project. Required permissions: ViewJobs. Note: This is a beta endpoint with known limitations.
GET
/
api
/
jobs
/
beta
/
jobs
Get Jobs for a project
curl --request GET \
--url https://mycluster.domino.tech/api/jobs/beta/jobs \
--header 'X-Domino-Api-Key: <api-key>'import requests
url = "https://mycluster.domino.tech/api/jobs/beta/jobs"
headers = {"X-Domino-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Domino-Api-Key': '<api-key>'}};
fetch('https://mycluster.domino.tech/api/jobs/beta/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobs": [
{
"commitDetails": {
"inputCommitId": "f1dafe322c7d4a6720f652c330fe33b014720e46",
"outputCommitId": "e1f06e5f64cfc26c2b70e405f70b7c8300d8a4ed"
},
"datasetMounts": [
{
"datasetName": "MyDataset",
"id": "623137f57a0af0281c01a6a0",
"isInput": true,
"projectId": "6231383c7a0af0281c01a6a1",
"containerPath": "/domino/datasets/local/quick-start",
"snapshotId": "623138807a0af0281c01a6a2",
"snapshotVersion": 2
}
],
"dominoStats": [
{
"name": "R-squared",
"value": 0.89
}
],
"externalVolumeMounts": [
{
"mountPath": "/path/to/my/volume",
"name": "MyExternalVolume",
"readOnly": false,
"subPath": "/mypath"
}
],
"gitRepos": [
{
"id": "6231365e7a0af0281c01a69f",
"name": "MyRepo",
"ref": "<string>",
"serviceProvider": "bitbucket",
"uri": "git@github.com:apache/spark.git",
"endingBranch": "final-branch",
"endingCommitId": "dff155c9a736f9cd230eac420e3c1ef3daa0ad7e",
"startingBranch": "init-test-branch",
"startingCommitId": "4f2d5c2f54db4fbb16a093d4fb11fdb1fe0794c7"
}
],
"id": "<string>",
"netAppVolumeMounts": [
{
"name": "MyVolume",
"snapshotMountPath": "/path/to/my/snapshot",
"snapshotReadOnly": false,
"volumeMountPath": "/path/to/my/volume",
"volumeReadOnly": false,
"otherMounts": [
{
"mountPath": "/path/to/other/mount",
"readOnly": true,
"subPath": "/other/subPath"
}
],
"snapshotSubPath": "/my/snapshot/subPath",
"volumeSubPath": "/my/volume/subPath"
}
],
"number": 123,
"projects": [
{
"commitId": "7f8e3908f129c0ca6529028618e6f10b3d2f315a",
"projectId": "623138c87a0af0281c01a6a3"
}
],
"runCommand": "<string>",
"stageTimes": {
"submissionTime": "2022-03-12T02:13:44.467Z",
"completedTime": "2022-03-12T02:16:43.127Z",
"startTime": "2022-03-12T02:15:44.848Z"
},
"status": {
"executionStatus": "Succeeded",
"isArchived": false,
"isCompleted": true,
"isScheduled": false
},
"computeCluster": {
"clusterType": "dask",
"computeEnvironmentId": "623139857a0af0281c01a6a4",
"workerCount": 4,
"workerHardwareTier": "large-k8s",
"computeEnvironmentRevisionSpec": "ActiveRevision | LatestRevision | SomeRevision(623131577a0af0281c01a69a)",
"masterHardwareTierId": "medium-k8s",
"maxWorkerCount": 10,
"workerStorageMB": 5
},
"mainRepoGitRef": {
"refType": "head | commitId | tags | branches",
"value": "my-test-branch"
},
"runLauncherId": "<string>",
"startedById": "<string>",
"title": "<string>",
"usage": {
"cpuPercentage": 5,
"memoryGiB": 0.73
}
}
],
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>",
"limit": 123,
"offset": 123,
"totalCount": 123
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Query Parameters
Id of project to retrieve Jobs for
Number of jobs from the start to skip. Defaults to 0.
Total number of Jobs to retrieve. Defaults to 10.
Field to sort Jobs by. Defaults to "number".
Available options:
number, title, command, startedTime, duration, status, user, commentCount, dominoStatsField Field in domino stats to sort by. Only used if sortBy = dominoStatsField.
Whether to sort ascending or descending. Defaults to to False.
Whether to include archived Jobs in results. Defaults to false.
Status of Jobs to fetch. Defaults to "all".
Available options:
all, queued, running, completed, archived, active Tag to filter by. Must match tag name exactly.
Last modified on August 18, 2026
Related topics
Get HPC Jobs for a projectGet Job detailsGet linked goals for a jobGet HPC Job detailsWas this page helpful?
⌘I
Get Jobs for a project
